QGIS Application - Bug report #16102
Geoprocessing Python Error using QGIS clip
2017-01-22 03:40 PM - Randal Hale

Status: Closed

Priority: Severe/Regression
Assignee: Victor Olaya
Category: Processing/QGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24015

Description

I've tried a couple of tools and | think I've narrowed this down to only occurring to the QGIS Clip Geoprocessing tool (I haven't tried
everything though).

I've uploaded the data in Geopackage format.

| take a line layer (streams) and clip it with a polygon (watershed). If | save to anything (scratch, geopackage, spatialite, postgis) but a
shapefile | get an error.

I am running QGIS on Ubuntu 16.04 and am using the QGIS and ubuntuGIS repository.

The Error is:

An error has occurred while executing Python code:

TypeError: coercing to Unicode: need string or buffer, Type found
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmDialog.py", line 290, in accept
if runalg(self.alg, self):
File "/usr/share/qgis/python/plugins/processing/gui/AlgorithmExecutor.py”, line 49, in runalg
alg.execute(progress or SilentProgress())
File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 219, in execute
unicode(e.message, errors="replace’) + self.tr(\
See log for more details'), lines, €)
TypeError: coercing to Unicode: need string or buffer, Type found

Python version: 2.7.12 (default, Nov 19 2016, 06:48:10) [GCC 5.4.0 20160609]
QGIS version: 2.18.3 Las Palmas, 77b8c3d

Python Path:
/usr/share/qgis/python/plugins/processing
/usr/share/qgis/python
/home/rjhale/.qgis2/python
/home/rjhale/.qgis2/python/plugins
/usr/share/qgis/python/plugins
/usr/lib/python2.7
/usr/lib/python2.7/plat-x86_64-linux-gnu
/usr/lib/python2.7/lib-tk
/usr/lib/python2.7/lib-old
/usr/lib/python2.7/lib-dynload
/home/rjhale/.local/lib/python2.7/site-packages
/ust/local/lib/python2.7/dist-packages
/ust/lib/python2.7/dist-packages
/ust/lib/python2.7/dist-packages/PILcompat
/ust/lib/python2.7/dist-packages/gtk-2.0
/ust/lib/python2.7/dist-packages/wx-3.0-gtk2
/home/rjhale/.qgis2//python
/home/rjhale/.qgis2/python/plugins/Digitizing Tools/tools
/home/rjhale/temp

Associated revisions

Revision 32f65d3c - 2017-01-23 01:23 PM - Borys Jurgiel

[Processing] Yet another fix for error message encoding errors. Fixes #16102

Revision 1ede526¢ - 2017-01-23 01:56 PM - Borys Jurgiel

[Processing] Yet another fix for error message encoding errors. Fixes #16102

Revision 730c1648 - 2017-01-23 04:52 PM - Borys Jurgiel

[Processing] Yet another fix for error message encoding errors (for 2.14) (#4042)

- [Processing] Yet another fix for error message encoding errors. Fixes #16102

- [Processing] Follow up 1ede526c8eb8a8e2950e

Revision 685e4a2b - 2017-01-23 05:05 PM - Borys Jurgiel

Merge pull request #4041 from borysiasty/release-2_18

[Processing] Yet another fix for error message encoding errors. Fixes #16102

History

#1 - 2017-01-22 06:46 PM - Randal Hale

If I move both layers to a "scratch” layer (temporary) AND | merge all the polygons in watershed to make 1 polygon - | can run the clip. So I'm back to
testing this again.

#2 - 2017-01-23 04:31 AM - Borys Jurgiel

- Pull Request or Patch supplied changed from No to Yes
- OS version deleted (Ubuntu 16.04 )

- Operating System deleted (Linux)

- Priority changed from Normal to Severe/Regression

Sorry, my fault. Fixed in https://github.com/qgis/QGIS/pull/4041
https://github.com/qgis/QGIS/pull/4041

#3 - 2017-01-23 07:47 AM - Borys Jurgiel
- Status changed from Open to Closed

Fixed in changeset commit:"730c16486024cc39934b771b23103325dc576¢33".

Files

qgis2183.gpkg.tar.gz 4.38 MB 2017-01-22 Randal Hale
